#ifndef EXPORTS_H
#define EXPORTS_H

#include <qdir.h>
#include <qstring.h>
#include <iostream>

#include "mapcenterobj.h"

using namespace std;

/////////////////////////////////////////////////////////////////////////////
class Export
{
public:
	Export();
	void setPath(const QString &);
	void setMapCenter (MapCenterObj*);
	void setIndentPerDepth (QString);
protected:  
	QString getSectionString (BranchObj*);
public:	
	void exportMap();
	void exportLaTeX();
	void exportOOPresentation();

private:
	QDir outdir;
	QString filepath;
	MapCenterObj *mapCenter;
	QString	indentPerDepth;
};

#endif
